Summary: multi-channel settings management support for xfce
Name: libxfce4mcs
Version: 4.0.5
Release: 2
License: LGPL
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-4.0.3/src/%{name}-%{version}.tar.gz
Patch0: xfce4-4.0.3-amd64.patch
Patch1: libxfce4mcs-messages.patch
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/ldconfig

Requires: libxfce4util >= 4.0.5
Requires: libxfcegui4 >= 4.0.5

BuildRequires: libxfce4util-devel >= 4.0.5
BuildRequires: libxfcegui4-devel >= 4.0.5

%description
This package includes multi-channel settings management support for XFce.

%package devel
Summary: developpment tools for libxfce4mcs library
Group: Development/Libraries
Requires: libxfce4mcs
Requires: %{name} = %{version}-%{release}

%description devel
This package includes the static libraries and header files you will need
to compile applications for XFce.

%prep
%setup -q

%patch1 -p1 -b .messages

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/libxfce4mcs

%changelog
* Tue Apr 20 2004 Than Ngo <than@redhat.com> 4.0.5-2
- Remove spurious warning at startup, thanks to Olivier Fourdan <fourdan@xfce.org>

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Fri Jan 09 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
